For the complete documentation index, see llms.txt. This page is also available as Markdown.

Notification Settings V2

Set notification channels to get cloud and AI cost anomaly alerts

List notification settings

get

List notification settings for the given account id.

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

perspectiveIdstringOptional
Responses
400

Bad Request

application/json

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
get/notificationSetting/v2
GET /gateway/ccm/api/notificationSetting/v2?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-ssnpc
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Create a notification setting

post

Create a notification setting for a perspective to receive cloud and AI cost anomaly alerts.

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

Body

The Cloud Cost Notification Setting definition

uuidstringOptional
namestringOptional
accountIdstringRequired
scopestring · enumRequiredPossible values:
perspectiveIdstringOptional
perspectiveNamestringOptional
enabledbooleanOptional
defaultPreferencesbooleanOptional
createdAtinteger · int64Optional
lastUpdatedAtinteger · int64Optional
Responses
400

Bad Request

application/json

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
post/notificationSetting/v2
POST /gateway/ccm/api/notificationSetting/v2?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-ssnpc
Content-Type: application/json
Accept: */*
Content-Length: 514

{
  "uuid": "text",
  "name": "text",
  "accountId": "text",
  "scope": "ALL_DATA",
  "perspectiveId": "text",
  "perspectiveName": "text",
  "channels": [
    {
      "notificationChannelType": "EMAIL",
      "channelUrls": [
        "text"
      ],
      "type": "text"
    }
  ],
  "anomalyAlertPreferences": {
    "costThreshold": 1,
    "costThresholdPercentage": 1
  },
  "enabled": true,
  "defaultPreferences": true,
  "createdAt": 1,
  "lastUpdatedAt": 1,
  "createdBy": {
    "uuid": "text",
    "name": "text",
    "email": "text",
    "externalUserId": "text"
  },
  "lastUpdatedBy": {
    "uuid": "text",
    "name": "text",
    "email": "text",
    "externalUserId": "text"
  }
}
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Update an existing notification setting

put

Update an existing notification setting for the given perspective id.

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

idstringRequired

Unique identifier for the notification setting

Body

The Cloud Cost Notification Setting definition

uuidstringOptional
namestringOptional
accountIdstringRequired
scopestring · enumRequiredPossible values:
perspectiveIdstringOptional
perspectiveNamestringOptional
enabledbooleanOptional
defaultPreferencesbooleanOptional
createdAtinteger · int64Optional
lastUpdatedAtinteger · int64Optional
Responses
400

Bad Request

application/json

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
put/notificationSetting/v2
PUT /gateway/ccm/api/notificationSetting/v2?accountIdentifier=text&id=text HTTP/1.1
Host: nextgen-ce-d788d786-ssnpc
Content-Type: application/json
Accept: */*
Content-Length: 514

{
  "uuid": "text",
  "name": "text",
  "accountId": "text",
  "scope": "ALL_DATA",
  "perspectiveId": "text",
  "perspectiveName": "text",
  "channels": [
    {
      "notificationChannelType": "EMAIL",
      "channelUrls": [
        "text"
      ],
      "type": "text"
    }
  ],
  "anomalyAlertPreferences": {
    "costThreshold": 1,
    "costThresholdPercentage": 1
  },
  "enabled": true,
  "defaultPreferences": true,
  "createdAt": 1,
  "lastUpdatedAt": 1,
  "createdBy": {
    "uuid": "text",
    "name": "text",
    "email": "text",
    "externalUserId": "text"
  },
  "lastUpdatedBy": {
    "uuid": "text",
    "name": "text",
    "email": "text",
    "externalUserId": "text"
  }
}
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Delete notification settings

delete

Delete notification settings for the given perspective id.

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

idstringRequired

Unique identifier for the Perspective

Responses
400

Bad Request

application/json

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
delete/notificationSetting/v2
DELETE /gateway/ccm/api/notificationSetting/v2?accountIdentifier=text&id=text HTTP/1.1
Host: nextgen-ce-d788d786-ssnpc
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Last updated

Was this helpful?